<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * @package Blogmotive
 */

get_header();

?>

    <section class="site-section site-error-section">
        <div class="error-section-content">
            <h1 class="page-title">
                <?php esc_html_e('404', 'blogmotive'); ?>
            </h1>
            <div class="error-section-description">
                <p><?php esc_html_e('Oops! That page can&rsquo;t be found.', 'blogmotive'); ?></p>
                <a href="<?php echo esc_url( home_url() ); ?>"><?php esc_html_e('Return Home', 'blogmotive'); ?></a>
            </div>
        </div>
    </section>

<?php
get_footer();
