<?php
/*Preloader Options*/
$wp_customize->add_section(
    'preloader_options' ,
    array(
        'title' => __( 'Preloader Options', 'blogmotive' ),
        'panel' => 'blogmotive_option_panel',
    )
);

/*Show Preloader*/
$wp_customize->add_setting(
    'blogmotive_options[show_preloader]',
    array(
        'default'           => $default_options['show_preloader'],
        'sanitize_callback' => 'blogmotive_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'blogmotive_options[show_preloader]',
    array(
        'label'    => __( 'Show Preloader', 'blogmotive' ),
        'section'  => 'preloader_options',
        'type'     => 'checkbox',
    )
);

$wp_customize->add_setting(
    'blogmotive_options[preloader_style]',
    array(
        'default'           => $default_options['preloader_style'],
        'sanitize_callback' => 'blogmotive_sanitize_select',
    )
);
$wp_customize->add_control(
    'blogmotive_options[preloader_style]',
    array(
        'label'       => __( 'Preloader Style', 'blogmotive' ),
        'section'     => 'preloader_options',
        'type'        => 'select',
        'choices'     => array(
            'theme-preloader-spinner-1' => __( 'Style 1', 'blogmotive' ),
            'theme-preloader-spinner-2' => __( 'Style 2', 'blogmotive' ),
        ),
        'active_callback' => 'blogmotive_is_show_preloader',

    )
);
