<?php

/* Theme Widget sidebars. */
require get_template_directory() . '/inc/widgets/widgets.php';
require get_template_directory() . '/inc/widgets/widget-base/widgetbase.php';

require get_template_directory() . '/inc/widgets/recent-widget.php';
require get_template_directory() . '/inc/widgets/social-widget.php';
require get_template_directory() . '/inc/widgets/author-widget.php';
require get_template_directory() . '/inc/widgets/newsletter-widget.php';
require get_template_directory() . '/inc/widgets/tab-widget.php';
require get_template_directory() . '/inc/widgets/cta-widget.php';
require get_template_directory() . '/inc/widgets/image-widget.php';


/* Register site widgets */
if ( ! function_exists( 'blogmotive_widgets' ) ) :
    /**
     * Load widgets.
     *
     * @since 1.0.0
     */
    function blogmotive_widgets() {
        register_widget( 'Blogmotive_Recent_Posts' );
        register_widget( 'Blogmotive_Social_Menu' );
        register_widget( 'Blogmotive_Author_Info' );
        register_widget( 'Blogmotive_Mailchimp_Form' );
        register_widget( 'Blogmotive_Call_To_Action' );
        register_widget( 'Blogmotive_Tab_Posts' );
        register_widget( 'Blogmotive_Image_Widget' );
    }
endif;
add_action( 'widgets_init', 'blogmotive_widgets' );